<?xml version="1.0" encoding="UTF-8"?>
<events>
  <event id="11732" batchable="false" batch_size="0"/>
  <event id="11734" batchable="true" batch_size="1000"/>
  <event id="12842" batchable="true" batch_size="1000">
    <param>coins_earned</param>
  </event>
  <event id="19425" batchable="false" batch_size="0">
    <param>iap_pack_name</param>
    <param>purchase_location</param>
  </event>
  <event id="12887" batchable="false" batch_size="0">
    <param>special_event_type</param>
    <param>special_event_name</param>
  </event>
  <event id="11756" batchable="false" batch_size="0">
    <param>click_location</param>
  </event>
  <event id="13547" batchable="true" batch_size="1000">
    <param>pn_type</param>
  </event>
  <event id="12843" batchable="true" batch_size="1000">
    <param>action</param>
    <param>food_earned</param>
    <param>energy_spent</param>
  </event>
  <event id="25746" batchable="false" batch_size="0">
    <param>lottery_type</param>
    <param>time_spent</param>
  </event>
  <event id="14087" batchable="false" batch_size="0">
    <param>daily_reward_type</param>
    <param>coins_amount</param>
    <param>lumber_amount</param>
    <param>food_amount</param>
    <param>xp_level</param>
    <param>energy_amount</param>
    <param>items_name</param>
    <param>item_category</param>
    <param>coins_earned</param>
    <param>energy_earned</param>
    <param>xp_earned</param>
    <param>food_earned</param>
    <param>lumber_earned</param>
  </event>
  <event id="11730" batchable="false" batch_size="0">
    <param>cash_amount</param>
    <param>coins_amount</param>
    <param>xp_level</param>
    <param>energy_amount</param>
    <param>lumber_amount</param>
    <param>food_amount</param>
    <param>population_amount</param>
    <param>mood_status</param>
    <param>time_spent</param>
    <param>time_between_sessions</param>
  </event>
  <event id="27694" batchable="false" batch_size="0">
    <param>popup_type</param>
  </event>
  <event id="11746" batchable="false" batch_size="0">
    <param>iap_pack_name</param>
    <param>purchase_location</param>
    <param>cash_earned</param>
  </event>
  <event id="12230" batchable="false" batch_size="0">
    <param>channel</param>
    <param>message_type</param>
  </event>
  <event id="16234" batchable="false" batch_size="0">
    <param>video_status</param>
    <param>video_type</param>
    <param>cash_earned</param>
  </event>
  <event id="11741" batchable="false" batch_size="0">
    <param>crafting_items</param>
    <param>coins_spent</param>
    <param>food_spent</param>
    <param>lumber_spent</param>
  </event>
  <event id="11747" batchable="false" batch_size="0">
    <param>pn_type</param>
    <param>cash_amount</param>
    <param>coins_amount</param>
    <param>xp_level</param>
    <param>energy_amount</param>
    <param>lumber_amount</param>
    <param>food_amount</param>
    <param>population_amount</param>
    <param>mood_status</param>
    <param>time_spent</param>
    <param>time_between_sessions</param>
  </event>
  <event id="13900" batchable="true" batch_size="1000">
    <param>items_name</param>
    <param>item_category</param>
  </event>
  <event id="20767" batchable="true" batch_size="1000">
    <param>pn_type</param>
    <param>pn_status</param>
  </event>
  <event id="11744" batchable="false" batch_size="0">
    <param>items_name</param>
    <param>item_category</param>
    <param>xp_level</param>
    <param>purchase_location</param>
    <param>expansion_level</param>
    <param>energy_earned</param>
    <param>coins_spent</param>
    <param>lumber_spent</param>
  </event>
  <event id="12839" batchable="false" batch_size="0">
    <param>lumber_spent</param>
    <param>time_spent</param>
    <param>coins_spent</param>
    <param>event_name</param>
    <param>food_spent</param>
    <param>xp_earned</param>
    <param>event_type</param>
    <param>coins_earned</param>
    <param>xp_level</param>
    <param>mood_status</param>
  </event>
  <event id="13548" batchable="false" batch_size="0">
    <param>food_spent</param>
    <param>energy_spent</param>
    <param>regular_action</param>
    <param>lumber_spent</param>
  </event>
  <event id="12840" batchable="false" batch_size="0">
    <param>pack_name</param>
    <param>purchase_location</param>
    <param>coins_earned</param>
    <param>cash_spent</param>
  </event>
  <event id="20768" batchable="false" batch_size="0">
    <param>rate_options</param>
  </event>
  <event id="11733" batchable="false" batch_size="0">
    <param>tutorial_action_made</param>
  </event>
  <event id="11740" batchable="false" batch_size="0">
    <param>coins_earned</param>
    <param>regular_action</param>
    <param>looting_type</param>
    <param>xp_level</param>
    <param>looting_object</param>
    <param>energy_earned</param>
    <param>xp_earned</param>
    <param>food_earned</param>
    <param>lumber_earned</param>
    <param>mood_earned</param>
    <param>looting_location</param>
  </event>
  <event id="25742" batchable="false" batch_size="0">
    <param>lottery_type</param>
    <param>item_name</param>
    <param>item_category</param>
  </event>
  <event id="27980" batchable="false" batch_size="0">
    <param>channel</param>
    <param>friend_activity</param>
    <param>amount_changed</param>
  </event>
  <event id="12888" batchable="false" batch_size="0">
    <param>special_event_type</param>
    <param>special_event_name</param>
    <param>time_spent</param>
    <param>coins_earned</param>
    <param>energy_earned</param>
    <param>food_earned</param>
    <param>mood_earned</param>
    <param>coins_spent</param>
    <param>cash_spent</param>
  </event>
  <event id="13892" batchable="false" batch_size="0">
    <param>quest_name</param>
    <param>xp_level</param>
    <param>mood_status</param>
    <param>time_spent</param>
    <param>interrupt_reason</param>
  </event>
  <event id="16702" batchable="true" batch_size="1000">
    <param>channel</param>
  </event>
  <event id="11729" batchable="false" batch_size="0">
    <param>cash_amount</param>
    <param>coins_amount</param>
    <param>xp_level</param>
    <param>energy_amount</param>
    <param>lumber_amount</param>
    <param>food_amount</param>
    <param>population_amount</param>
    <param>mood_status</param>
    <param>time_spent</param>
    <param>time_between_sessions</param>
  </event>
  <event id="12845" batchable="true" batch_size="1000">
    <param>friend_name</param>
  </event>
  <event id="11738" batchable="false" batch_size="0">
    <param>event_name</param>
    <param>event_type</param>
  </event>
  <event id="21077" batchable="false" batch_size="0">
    <param>event_type</param>
    <param>event_name</param>
  </event>
  <event id="11752" batchable="false" batch_size="0">
    <param>friend_name</param>
    <param>friend_activity</param>
    <param>interaction_no</param>
  </event>
  <event id="12841" batchable="false" batch_size="0">
    <param>quest_name</param>
    <param>quest_type</param>
    <param>tasks</param>
    <param>cash_spent</param>
  </event>
  <event id="21076" batchable="true" batch_size="1000">
    <param>regular_action</param>
    <param>coins_earned</param>
    <param>cash_earned</param>
    <param>energy_earned</param>
    <param>xp_earned</param>
    <param>food_earned</param>
    <param>lumber_earned</param>
    <param>mood_earned</param>
    <param>energy_spent</param>
    <param>food_spent</param>
    <param>lumber_spent</param>
  </event>
  <event id="11739" batchable="true" batch_size="1000">
    <param>items_name</param>
    <param>item_category</param>
    <param>coins_earned</param>
  </event>
  <event id="21078" batchable="false" batch_size="0">
    <param>event_type</param>
    <param>event_name</param>
    <param>time_spent</param>
    <param>coins_earned</param>
    <param>xp_earned</param>
    <param>coins_spent</param>
    <param>food_spent</param>
    <param>lumber_spent</param>
  </event>
  <event id="11735" batchable="false" batch_size="0">
    <param>quest_type1</param>
    <param>quest_type2</param>
    <param>quest_type3</param>
    <param>quest_name</param>
    <param>xp_level</param>
    <param>mood_status</param>
  </event>
  <event id="25743" batchable="false" batch_size="0">
    <param>lottery_type</param>
    <param>cash_spent</param>
  </event>
  <event id="11736" batchable="false" batch_size="0">
    <param>quest_type1</param>
    <param>quest_type2</param>
    <param>quest_type3</param>
    <param>quest_name</param>
    <param>xp_level</param>
    <param>time_spent</param>
    <param>mood_status</param>
    <param>coins_earned</param>
    <param>energy_earned</param>
    <param>xp_earned</param>
    <param>food_earned</param>
  </event>
  <event id="11743" batchable="false" batch_size="0">
    <param>achievement_name</param>
    <param>xp_level</param>
  </event>
  <event id="12846" batchable="true" batch_size="1000">
    <param>friend_name</param>
    <param>crafting_items</param>
  </event>
  <event id="19423" batchable="false" batch_size="0">
    <param>item_category</param>
    <param>crafting_items</param>
    <param>purchase_location</param>
    <param>cash_spent</param>
  </event>
  <event id="11753" batchable="true" batch_size="1000">
    <param>friend_name</param>
    <param>gift</param>
    <param>item_category</param>
  </event>
  <event id="11755" batchable="false" batch_size="0">
    <param>pn_type</param>
    <param>cash_amount</param>
    <param>coins_amount</param>
    <param>xp_level</param>
    <param>energy_amount</param>
    <param>lumber_amount</param>
    <param>food_amount</param>
    <param>population_amount</param>
    <param>mood_status</param>
    <param>time_spent</param>
    <param>time_between_sessions</param>
  </event>
  <event id="25745" batchable="false" batch_size="0">
    <param>lottery_type</param>
  </event>
  <event id="13902" batchable="true" batch_size="1000">
    <param>friend_name</param>
    <param>gift_sender</param>
    <param>coins_earned</param>
    <param>cash_earned</param>
    <param>energy_earned</param>
    <param>food_earned</param>
    <param>lumber_earned</param>
  </event>
  <event id="11745" batchable="false" batch_size="0">
    <param>items_name</param>
    <param>item_category</param>
    <param>xp_level</param>
    <param>purchase_location</param>
    <param>energy_earned</param>
    <param>cash_spent</param>
  </event>
  <event id="11737" batchable="false" batch_size="0">
    <param>xp_level</param>
    <param>mood_status</param>
    <param>energy_earned</param>
  </event>
  <event id="11742" batchable="false" batch_size="0">
    <param>items_name</param>
    <param>cash_spent</param>
    <param>xp_level</param>
  </event>
  <event id="12844" batchable="false" batch_size="0">
    <param>channel</param>
    <param>friend_name</param>
  </event>
  <event id="12847" batchable="false" batch_size="0">
    <param>friend_name</param>
    <param>bonus_name</param>
  </event>
  <event id="13895" batchable="false" batch_size="0">
    <param>download_state</param>
    <param>dlc_number</param>
  </event>
  <event id="34623" batchable="false" batch_size="0">
    <param>cash_earned</param>
  </event>
</events>